package infra

import (
	"fmt"
	"github.com/docker/docker/client"
)

var GlobalDockerClient *client.Client

func InitDockerClient(host string) {
	var err error
	// 创建Docker客户端
	GlobalDockerClient, err = client.NewClientWithOpts(client.WithHost(host), client.WithAPIVersionNegotiation())
	if err != nil {
		fmt.Println("Error creating Docker client:", err)
		panic(err)
	}
}
